<?php
  // {{{ requires
require_once CLASS_EX_REALDIR . 'page_extends/mypage/LC_Page_AbstractMypage_Ex.php';

/**
 * メルマガプレビュー のページクラス.
 *
 * @package Page
 * @author LOCKON CO.,LTD.
 * @version $Id: LC_Page_Mypage_Mailmaga_view.php 21250 2011-09-22 07:13:57Z nanasess $
 */
class LC_Page_Mypage_Mailmaga_view extends LC_Page_AbstractMypage_Ex {

    // }}}
    // {{{ functions

    /**
     * Page を初期化する.
     *
     * @return void
     */
    function init() {
        parent::init();
        $this->tpl_subtitle = 'バックナンバープレビュー';
        $this->tpl_mainpage = 'mypage/mailmaga_view.tpl';
    }

    /**
     * Page のプロセス.
     *
     * @return void
     */
    function process() {
        $this->action();
        $this->sendResponse();
    }

    /**
     * Page のアクション.
     *
     * @return void
     */
    function action() {

        $objMailHelper = new SC_Helper_Mail_Ex();

        switch ($this->getMode()) {
        case 'template':
            if (SC_Utils_Ex::sfIsInt($_GET['template_id'])){
                $arrMail = $objMailHelper->sfGetMailmagaTemplate($_GET['template_id']);
                $this->mail = $arrMail[0];
            }
            break;
        case 'history';
            if (SC_Utils_Ex::sfIsInt($_GET['send_id'])){
                $arrMail = $objMailHelper->sfGetSendHistory($_GET['send_id']);
                $this->mail = $arrMail[0];
            }
            break;
        case 'presend';
            $this->mail['body'] = $_POST['body'];
        default:
        }

        $this->setTemplate($this->tpl_mainpage);
    }

    /**
     * デストラクタ.
     *
     * @return void
     */
    function destroy() {
        parent::destroy();
    }
}
?>
