<?php
// {{{ requires
require_once CLASS_EX_REALDIR . 'page_extends/mypage/LC_Page_AbstractMypage_Ex.php';

/**
 * MyPage のページクラス.
 *
 * @package Page
 * @author LOCKON CO.,LTD.
 * @version $Id: LC_Page_Mypage.php 21051 2011-07-27 04:51:21Z 468 $
 */
class LC_Page_MyPage_mailmaga extends LC_Page_AbstractMypage_Ex {

    // {{{ properties

    /** ページナンバー */
    var $tpl_pageno;

    // }}}
    // {{{ functions

    /**
     * Page を初期化する.
     *
     * @return void
     */
    function init() {
        parent::init();
        $this->tpl_subtitle = 'メルマガ一覧';
        $this->tpl_mypageno = 'mailmaga';
    }

    /**
     * Page のプロセス.
     *
     * @return void
     */
    function process() {
        parent::process();
    }

    /**
     * Page のAction.
     *
     * @return void
     */
    function action() {

        $objCustomer = new SC_Customer_Ex();
        $customer_id = $objCustomer->getvalue('customer_id');

        //データ取得
        $objQuery =SC_Query_Ex::getSingletonInstance();
		$this->arrRet = array();
		$this->arrRetMulti = array();
		
		//取得1
		$arrRet = $objQuery->select("*", "dtb_send_history", "del_flg = 0 order by start_date DESC");
		
		//データベースからデータの取得ができたか
		if(isset($arrRet)){
			$this->arrRet = $arrRet;
		}
		
		//取得2
		$arrRetMulti = $objQuery->select("*", "dtb_send_customer join dtb_send_history on dtb_send_customer.send_id=dtb_send_history.send_id", "dtb_send_history.del_flg = 0 AND dtb_send_customer.customer_id = $customer_id order by start_date DESC");
		
		//データベースからデータの取得ができたか
		if(isset($arrRet)){
			$this->arrRetMulti = $arrRetMulti;
		}
    }

    /**
     * デストラクタ.
     *
     * @return void
     */
    function destroy() {
        parent::destroy();
    }

}
?>
